from arkindex.dataimport.models import Repository

from django.core.management.base import BaseCommand

import logging

logging.basicConfig(
    level=logging.INFO,
    format="%(asctime)s [%(levelname)s] %(message)s",
)
logger = logging.getLogger()


class Command(BaseCommand):
    help = "Update all Git repositories hooks"

    def add_arguments(self, parser):
        parser.add_argument(
            "base_url",
            type=str,
            help="Base url used to build the new hooks",
        )

    def handle(self, base_url, *args, **kwargs):
        for repository in Repository.objects.filter(credentials__isnull=False):
            logger.info(f"Updating {repository}")
            repository.provider.create_hook(repository, base_url=base_url)

        logger.info("All done")
