from django.db import IntegrityError
from arkindex.project.tests import FixtureTestCase


class TestZone(FixtureTestCase):

    def test_unique_image_polygon(self):
        image = self.imgsrv.images.create(path='abcd', hash='beef')
        polygon = ((0, 0), (0, 10), (10, 10), (10, 0), (0, 0))
        image.zones.create(polygon=polygon)
        with self.assertRaisesRegex(
                IntegrityError,
                'duplicate key value violates unique constraint "zone_unique_image_polygon"'):
            image.zones.create(polygon=polygon)
